> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/object-types/data-source.md).

# DataSource

Represents a data source in Collibra Data Access.

```graphql
type DataSource {
  accessControlTypes: [AccessControlType!]!
  accessControls(
    after: String
    filter: AccessControlFilterInput
    limit: Int
    order: [AccessControlOrderByInput!]
  ): AccessControlConnectionResult!
  accessControlsFromTargetLastSuccessfulSync: Time
  accessControlsToTargetLastSuccessfulSync: Time
  accessLastChanged: Time
  accountsForCurrentUser(
    after: String
    limit: Int
    order: [AccountOrderByInput!]
  ): AccountConnectionResult!
  catalogSystemDataObjectType: String
  catalogSystemId: UUID @deprecated
  children: [DataSource]!
  createdAt: Time!
  dataObjectTypes: [DataObjectType!]!
  dataObjects(
    after: String
    filter: DataObjectFilterInput
    limit: Int
    order: [DataObjectOrderByInput!]
  ): DataObjectConnectionResult!
  dataSourceLastSuccessfulSync: Time
  defaultGrantType(grantCategoryId: String!): String!
  description: String!
  edgeSiteInfo: DataSourceLinkedEdgeSiteInfoResult
  filterMetadata: FilterMetadata
  hasAcl: Boolean!
  id: ID!
  identitiesLastSuccessfulSync: Time
  jobs(after: String, filter: JobsFilterInput, limit: Int): JobConnectionResult
  lastJob: JobResult
  maskingMetadata: MaskingMetadata
  modifiedAt: Time!
  name: String!
  ownerAssignments(
    after: String
    filter: RoleOwnerFilterInput
    limit: Int
  ): RoleOwnerAssignmentConnectionResult!
  owners(filter: RoleOwnerFilterInput): [RoleAssignmentTo] @deprecated
  parent: DataSource
  scimAccessControlType: String
  supportedFeatures: [DataSourceFeatures!]!
  supportsColumnMasking: Boolean!
  supportsRowFiltering: Boolean!
  syncSchedule: DataSourceSyncScheduleSettings
  system: Boolean!
  tags(
    after: String
    limit: Int
    order: [TagOrderByInput!]
    search: String
  ): TagConnectionResult!
  type: String!
}
```

### Fields

#### accessControlTypes ● [`[AccessControlType!]!`](/api/graphql/data-access/object-types/access-control-type.md) non-null object <a href="#access-control-types" id="access-control-types"></a>

The list of access control types that are available in this data source. This is set by the connector during a sync.

#### accessControls ● [`AccessControlConnectionResult!`](/api/graphql/data-access/unions/access-control-connection-result.md) non-null union <a href="#access-controls" id="access-controls"></a>

List the access controls that are linked to this data source.

**after ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

**filter ●** [**`AccessControlFilterInput`**](/api/graphql/data-access/input-types/access-control-filter-input.md) **input**

**limit ●** [**`Int`**](/api/graphql/data-access/scalars/int.md) **scalar**

**order ●** [**`[AccessControlOrderByInput!]`**](/api/graphql/data-access/input-types/access-control-order-by-input.md) **list input**

#### accessControlsFromTargetLastSuccessfulSync ● [`Time`](/api/graphql/data-access/scalars/time.md) scalar <a href="#access-controls-from-target-last-successful-sync" id="access-controls-from-target-last-successful-sync"></a>

The time at which the access controls of this data source were last successfully synced.

#### accessControlsToTargetLastSuccessfulSync ● [`Time`](/api/graphql/data-access/scalars/time.md) scalar <a href="#access-controls-to-target-last-successful-sync" id="access-controls-to-target-last-successful-sync"></a>

The time at which the access controls to this data source were last successfully synced.

#### accessLastChanged ● [`Time`](/api/graphql/data-access/scalars/time.md) scalar <a href="#access-last-changed" id="access-last-changed"></a>

Indicates when access controls in this data source were last modified.

#### accountsForCurrentUser ● [`AccountConnectionResult!`](/api/graphql/data-access/unions/account-connection-result.md) non-null union <a href="#accounts-for-current-user" id="accounts-for-current-user"></a>

Lists the accounts of the current user in the given data source.

**after ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

**limit ●** [**`Int`**](/api/graphql/data-access/scalars/int.md) **scalar**

**order ●** [**`[AccountOrderByInput!]`**](/api/graphql/data-access/input-types/account-order-by-input.md) **list input**

#### catalogSystemDataObjectType ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#catalog-system-data-object-type" id="catalog-system-data-object-type"></a>

The data object type that is a valid attach point for a Collibra catalog system asset (e.g. 'metastore' for Databricks). Null if not configured.

#### catalogSystemId ● [`UUID`](/api/graphql/data-access/scalars/uuid.md) deprecated scalar <a href="#catalog-system-id" id="catalog-system-id"></a>

> **WARNING - DEPRECATED**

Use assignedCatalogSystemId on the data object matching catalogSystemDataObjectType instead.

The UUID of the System asset in Collibra Catalog.

#### children ● [`[DataSource]!`](/api/graphql/data-access/object-types/data-source.md) non-null object <a href="#children" id="children"></a>

The optional children data sources.

#### createdAt ● [`Time!`](/api/graphql/data-access/scalars/time.md) non-null scalar <a href="#created-at" id="created-at"></a>

Indicates when the data source was initially created.

#### dataObjectTypes ● [`[DataObjectType!]!`](/api/graphql/data-access/object-types/data-object-type.md) non-null object <a href="#data-object-types" id="data-object-types"></a>

The list of data object types that are available in this data source. This is set by the connector during a sync.

#### dataObjects ● [`DataObjectConnectionResult!`](/api/graphql/data-access/unions/data-object-connection-result.md) non-null union <a href="#data-objects" id="data-objects"></a>

List the data objects in this data source.

**after ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

**filter ●** [**`DataObjectFilterInput`**](/api/graphql/data-access/input-types/data-object-filter-input.md) **input**

**limit ●** [**`Int`**](/api/graphql/data-access/scalars/int.md) **scalar**

**order ●** [**`[DataObjectOrderByInput!]`**](/api/graphql/data-access/input-types/data-object-order-by-input.md) **list input**

#### dataSourceLastSuccessfulSync ● [`Time`](/api/graphql/data-access/scalars/time.md) scalar <a href="#data-source-last-successful-sync" id="data-source-last-successful-sync"></a>

The time at which the data objects of this data source were last successfully synced.

#### defaultGrantType ● [`String!`](/api/graphql/data-access/scalars/string.md) non-null scalar <a href="#default-grant-type" id="default-grant-type"></a>

Gets the default grant type for a specific grant category in this data source.

**grantCategoryId ●** [**`String!`**](/api/graphql/data-access/scalars/string.md) **non-null scalar**

#### description ● [`String!`](/api/graphql/data-access/scalars/string.md) non-null scalar <a href="#description" id="description"></a>

The description of the data source.

#### edgeSiteInfo ● `DataSourceLinkedEdgeSiteInfoResult` union <a href="#edge-site-info" id="edge-site-info"></a>

Retrieves the synchronization configuration settings for this data source.

#### filterMetadata ● [`FilterMetadata`](/api/graphql/data-access/object-types/filter-metadata.md) object <a href="#filter-metadata" id="filter-metadata"></a>

Contains meta data about how row-level filtering works in this data source.

#### hasAcl ● [`Boolean!`](/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#has-acl" id="has-acl"></a>

If true, this data source contains ACL-type access controls. This is set by the connector during a sync.

#### id ● [`ID!`](/api/graphql/data-access/scalars/id.md) non-null scalar <a href="#id" id="id"></a>

The unique identifier of the data source.

#### identitiesLastSuccessfulSync ● [`Time`](/api/graphql/data-access/scalars/time.md) scalar <a href="#identities-last-successful-sync" id="identities-last-successful-sync"></a>

The time at which the identities of this data source were last successfully synced.

#### jobs ● `JobConnectionResult` union <a href="#jobs" id="jobs"></a>

The list of synchronization jobs.

**after ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

**filter ● `JobsFilterInput` input**

**limit ●** [**`Int`**](/api/graphql/data-access/scalars/int.md) **scalar**

#### lastJob ● `JobResult` union <a href="#last-job" id="last-job"></a>

The information about the last synchronization job.

#### maskingMetadata ● [`MaskingMetadata`](/api/graphql/data-access/object-types/masking-metadata.md) object <a href="#masking-metadata" id="masking-metadata"></a>

Contains meta data about how column masking works in this data source.

#### modifiedAt ● [`Time!`](/api/graphql/data-access/scalars/time.md) non-null scalar <a href="#modified-at" id="modified-at"></a>

Indicates when the data source was last modified.

#### name ● [`String!`](/api/graphql/data-access/scalars/string.md) non-null scalar <a href="#name" id="name"></a>

The display name of the data source.

#### ownerAssignments ● [`RoleOwnerAssignmentConnectionResult!`](/api/graphql/data-access/unions/role-owner-assignment-connection-result.md) non-null union <a href="#owner-assignments" id="owner-assignments"></a>

List the owners of the data source, each paired with the source(s) it was assigned from.

**after ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

**filter ●** [**`RoleOwnerFilterInput`**](/api/graphql/data-access/input-types/role-owner-filter-input.md) **input**

**limit ●** [**`Int`**](/api/graphql/data-access/scalars/int.md) **scalar**

#### owners ● [`[RoleAssignmentTo]`](/api/graphql/data-access/unions/role-assignment-to.md) deprecated list union <a href="#owners" id="owners"></a>

> **WARNING - DEPRECATED**

Use ownerAssignments instead, which reports each owner's source. Will be removed no earlier than release 2027.09.

List the owners of the data source. By default (if `filter` is not set), only manually-assigned (deletable) owners are returned; pass `filter: { sources: [Manual, DerivedFromCollibra, DerivedOther] }` to also include owners derived from a source system's configuration.

**filter ●** [**`RoleOwnerFilterInput`**](/api/graphql/data-access/input-types/role-owner-filter-input.md) **input**

#### parent ● [`DataSource`](/api/graphql/data-access/object-types/data-source.md) object <a href="#parent" id="parent"></a>

The optional parent data source.

#### scimAccessControlType ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#scim-access-control-type" id="scim-access-control-type"></a>

The access control type used to represent SCIM-provisioned groups in this data source. Must match the type of one of the `accessControlTypes`. Null if not set.

#### supportedFeatures ● [`[DataSourceFeatures!]!`](https://github.com/collibra/documentation/tree/publish/developer/api/graphql/data-access/enumerations/data-source-features.md) non-null enum <a href="#supported-features" id="supported-features"></a>

List of supported feature. This is set by the connector during a sync.

#### supportsColumnMasking ● [`Boolean!`](/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#supports-column-masking" id="supports-column-masking"></a>

If true, this data source supports column masking. This is set by the connector during a sync.

#### supportsRowFiltering ● [`Boolean!`](/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#supports-row-filtering" id="supports-row-filtering"></a>

If true, this data source supports row-level filtering. This is set by the connector during a sync.

#### syncSchedule ● [`DataSourceSyncScheduleSettings`](/api/graphql/data-access/object-types/data-source-sync-schedule-settings.md) object <a href="#sync-schedule" id="sync-schedule"></a>

Retrieves the synchronization schedule settings for this data source.

#### system ● [`Boolean!`](/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#system" id="system"></a>

If true, this data source is provisioned by the system (e.g. the Collibra system data source) and cannot be edited, synced, or deleted.

#### tags ● [`TagConnectionResult!`](/api/graphql/data-access/unions/tag-connection-result.md) non-null union <a href="#tags" id="tags"></a>

List the tags that are set on this data source.

**after ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

**limit ●** [**`Int`**](/api/graphql/data-access/scalars/int.md) **scalar**

**order ●** [**`[TagOrderByInput!]`**](/api/graphql/data-access/input-types/tag-order-by-input.md) **list input**

**search ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

#### type ● [`String!`](/api/graphql/data-access/scalars/string.md) non-null scalar <a href="#type" id="type"></a>

The type identifier of this data source. This is set by the connector during a sync.

### Member Of

[`AccessControl`](/api/graphql/data-access/object-types/access-control.md) object ● [`AccessRequest`](/api/graphql/data-access/object-types/access-request.md) object ● [`Account`](/api/graphql/data-access/object-types/account.md) object ● [`DataObject`](/api/graphql/data-access/object-types/data-object.md) object ● [`DataSource`](/api/graphql/data-access/object-types/data-source.md) object ● [`DataSourceEdge`](/api/graphql/data-access/object-types/data-source-edge.md) object ● `DataSourceShare` object ● `DataUsage` object ● `Job` object ● `QueryHistoryStatement` object ● [`SyncData`](/api/graphql/data-access/object-types/sync-data.md) object

### Implemented By

[`AccessWhoItemItem`](/api/graphql/data-access/unions/access-who-item-item.md) union ● [`DataSourceResult`](/api/graphql/data-access/unions/data-source-result.md) union ● `GraphItem` union ● [`RoleAssignmentOn`](/api/graphql/data-access/unions/role-assignment-on.md) union ● [`SearchItem`](/api/graphql/data-access/unions/search-item.md) union


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/object-types/data-source.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
